Browse Source

Fetch current MEPs.

Marcus Rohrmoser 2 years ago
commit
d57dd7d59a
4 changed files with 456 additions and 0 deletions
  1. 4 0
      .gitignore
  2. 150 0
      europarl2foaf.xslt
  3. 14 0
      fetch.sh
  4. 288 0
      meps.rng

+ 4 - 0
.gitignore

@@ -0,0 +1,4 @@
+europarl.1.xml
+europarl.rdf
+europarl.ttl
+europarl.xml

+ 150 - 0
europarl2foaf.xslt

@@ -0,0 +1,150 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!--
+ http://www.w3.org/TR/xslt/
+-->
+<xsl:stylesheet
+  xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#"
+  xmlns:rdfs="http://www.w3.org/2000/01/rdf-schema#"
+  xmlns:dctype="http://purl.org/dc/dcmitype/"
+  xmlns:dc="http://purl.org/dc/terms/"
+  xmlns:foaf="http://xmlns.com/foaf/0.1/"
+  xmlns:xsd="http://www.w3.org/2001/XMLSchema#"
+  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
+  xmlns:xlink="http://www.w3.org/1999/xlink"
+  version="1.0">
+
+  <xsl:output method="xml" indent="yes"/>
+
+  <xsl:template match="/meps">
+    <rdf:RDF>
+      <foaf:Group rdf:about="http://www.europarl.europa.eu/politicalGroups/4276">
+        <foaf:name xml:lang="de">Fraktion Europa der Freiheit und der direkten Demokratie</foaf:name>
+        <foaf:homepage rdf:resource="http://www.efddgroup.eu/"/>
+      </foaf:Group>
+      <foaf:Group rdf:about="http://www.europarl.europa.eu/politicalGroups/4907">
+        <foaf:name xml:lang="de">Fraktion Europa der Nationen und der Freiheit</foaf:name>
+        <foaf:homepage rdf:resource="http://enfgroup-ep.eu/"/>
+      </foaf:Group>
+      <foaf:Group rdf:about="http://www.europarl.europa.eu/politicalGroups/4279">
+        <foaf:name xml:lang="de">Fraktion der Allianz der Liberalen und Demokraten für Europa</foaf:name>
+        <foaf:homepage rdf:resource="http://www.alde.eu/en"/>
+      </foaf:Group>
+      <foaf:Group rdf:about="http://www.europarl.europa.eu/politicalGroups/4271">
+        <foaf:name xml:lang="de">Fraktion der Europäischen Konservativen und Reformer</foaf:name>
+        <foaf:homepage rdf:resource="http://www.ecrgroup.eu/"/>
+      </foaf:Group>
+      <foaf:Group rdf:about="http://www.europarl.europa.eu/politicalGroups/4269">
+        <foaf:name xml:lang="de">Fraktion der Europäischen Volkspartei (Christdemokraten)</foaf:name>
+        <foaf:homepage rdf:resource="http://www.eppgroup.eu/de"/>
+      </foaf:Group>
+      <foaf:Group rdf:about="http://www.europarl.europa.eu/politicalGroups/4281">
+        <foaf:name xml:lang="de">Fraktion der Grünen / Freie Europäische Allianz</foaf:name>
+        <foaf:homepage rdf:resource="http://www.greens-efa.eu/"/>
+      </foaf:Group>
+      <foaf:Group rdf:about="http://www.europarl.europa.eu/politicalGroups/4280">
+        <foaf:name xml:lang="de">Fraktion der Progressiven Allianz der Sozialdemokraten im Europäischen Parlament</foaf:name>
+        <foaf:homepage rdf:resource="http://www.socialistsanddemocrats.eu/gpes/index.jsp?request_locale=EN"/>
+      </foaf:Group>
+      <foaf:Group rdf:about="http://www.europarl.europa.eu/politicalGroups/2970">
+        <foaf:name xml:lang="de">Fraktionslos</foaf:name>
+      </foaf:Group>
+      <foaf:Group rdf:about="http://www.europarl.europa.eu/politicalGroups/4277">
+        <foaf:name xml:lang="de">Konföderale Fraktion der Vereinigten Europäischen Linken/Nordische Grüne Linke</foaf:name>
+        <foaf:homepage rdf:resource="http://www.guengl.eu/"/>
+      </foaf:Group>
+
+      <xsl:for-each select="mep">
+        <xsl:variable name="mep_id" select="concat('http://www.europarl.europa.eu/meps/', id)"/>
+
+        <xsl:variable name="fraktion_id">
+          <xsl:choose>
+            <xsl:when test='politicalGroup = "Fraktion Europa der Freiheit und der direkten Demokratie"'>4276</xsl:when>
+            <xsl:when test='politicalGroup = "Fraktion Europa der Nationen und der Freiheit"'>4907</xsl:when>
+            <xsl:when test='politicalGroup = "Fraktion der Allianz der Liberalen und Demokraten für Europa"'>4279</xsl:when>
+            <xsl:when test='politicalGroup = "Fraktion der Europäischen Konservativen und Reformer"'>4271</xsl:when>
+            <xsl:when test='politicalGroup = "Fraktion der Europäischen Volkspartei (Christdemokraten)"'>4269</xsl:when>
+            <xsl:when test='politicalGroup = "Fraktion der Grünen / Freie Europäische Allianz"'>4281</xsl:when>
+            <xsl:when test='politicalGroup = "Fraktion der Progressiven Allianz der Sozialdemokraten im Europäischen Parlament"'>4280</xsl:when>
+            <xsl:when test='politicalGroup = "Fraktionslos"'>2970</xsl:when>
+            <xsl:when test='politicalGroup = "Konföderale Fraktion der Vereinigten Europäischen Linken/Nordische Grüne Linke"'>4277</xsl:when>
+          </xsl:choose>
+        </xsl:variable>
+        
+        <xsl:variable name="iso3166">
+          <xsl:choose>
+            <xsl:when test="country = 'Belgien'">BE</xsl:when>
+            <xsl:when test="country = 'Bulgarien'">BG</xsl:when>
+            <xsl:when test="country = 'Deutschland'">DE</xsl:when>
+            <xsl:when test="country = 'Dänemark'">DK</xsl:when>
+            <xsl:when test="country = 'Estland'">EE</xsl:when>
+            <xsl:when test="country = 'Finnland'">FI</xsl:when>
+            <xsl:when test="country = 'Frankreich'">FR</xsl:when>
+            <xsl:when test="country = 'Griechenland'">GR</xsl:when>
+            <xsl:when test="country = 'Irland'">IE</xsl:when>
+            <xsl:when test="country = 'Italien'">IT</xsl:when>
+            <xsl:when test="country = 'Kroatien'">HR</xsl:when>
+            <xsl:when test="country = 'Lettland'">LV</xsl:when>
+            <xsl:when test="country = 'Litauen'">LT</xsl:when>
+            <xsl:when test="country = 'Luxemburg'">LU</xsl:when>
+            <xsl:when test="country = 'Malta'">MT</xsl:when>
+            <xsl:when test="country = 'Niederlande'">NL</xsl:when>
+            <xsl:when test="country = 'Polen'">PL</xsl:when>
+            <xsl:when test="country = 'Portugal'">PT</xsl:when>
+            <xsl:when test="country = 'Rumänien'">RO</xsl:when>
+            <xsl:when test="country = 'Schweden'">SE</xsl:when>
+            <xsl:when test="country = 'Slowakei'">SK</xsl:when>
+            <xsl:when test="country = 'Slowenien'">SI</xsl:when>
+            <xsl:when test="country = 'Spanien'">ES</xsl:when>
+            <xsl:when test="country = 'Tschechien'">CZ</xsl:when>
+            <xsl:when test="country = 'Ungarn'">HU</xsl:when>
+            <xsl:when test="country = 'Vereinigtes Königreich'">GB</xsl:when>
+            <xsl:when test="country = 'Zypern'">CY</xsl:when>
+            <xsl:when test="country = 'Österreich'">AT</xsl:when>           
+          </xsl:choose>
+        </xsl:variable>
+
+        <foaf:Group rdf:about="http://www.lexvo.org/page/iso3166/{$iso3166}">
+          <foaf:name xml:lang="de"><xsl:value-of select="country"/></foaf:name>
+          <!-- foaf:member rdf:resource="{$mep_id}"/ -->
+          <foaf:member>
+            <foaf:Group rdf:about="http://www.europarl.europa.eu/nationalPoliticalGroups/{nationalPoliticalGroup}">
+              <foaf:name><xsl:value-of select="nationalPoliticalGroup"/></foaf:name>
+              <dc:type rdf:resource="http://www.europarl.europa.eu/nationalPoliticalGroups/"/>
+              <foaf:member rdf:resource="{$mep_id}"/>
+            </foaf:Group>
+          </foaf:member>
+        </foaf:Group>
+
+        <foaf:Group rdf:about="http://www.europarl.europa.eu/">
+          <foaf:name xml:lang="de">EU Parlament</foaf:name>
+          <foaf:member>
+            <foaf:Group rdf:about="http://www.europarl.europa.eu/politicalGroups/{$fraktion_id}">
+              <!-- foaf:name xml:lang="de"><xsl:value-of select="politicalGroup"/></foaf:name -->
+              <dc:type rdf:resource="http://www.europarl.europa.eu/politicalGroups/"/>
+              <dc:identifier rdf:datatype="http://www.w3.org/2001/XMLSchema#integer"><xsl:value-of select="$fraktion_id"/></dc:identifier>
+              <foaf:member rdf:resource="{$mep_id}"/>
+            </foaf:Group>
+          </foaf:member>
+        </foaf:Group>
+
+        <foaf:Person rdf:about="{$mep_id}">
+          <dc:type rdf:resource="http://www.europarl.europa.eu/meps/"/>
+          <foaf:workInfoHomepage rdf:resource="http://www.europarl.europa.eu/meps/de/{id}/mep_home.html"/>
+          <foaf:name><xsl:value-of select="fullName"/></foaf:name>
+          <foaf:depiction rdf:resource="http://www.europarl.europa.eu/mepphoto/{id}.jpg"/>
+          <foaf:depiction rdf:resource="http://www.europarl.europa.eu/mepaudio/{id}.mp3"/>
+        </foaf:Person>
+
+				<foaf:Image rdf:about="http://www.europarl.europa.eu/mepphoto/{id}.jpg">
+					<foaf:depicts rdf:resource="{$mep_id}"/>
+				</foaf:Image>
+
+				<dctype:Sound rdf:about="http://www.europarl.europa.eu/mepaudio/{id}.mp3">
+					<foaf:depicts rdf:resource="{$mep_id}"/>
+				</dctype:Sound>
+
+      </xsl:for-each>
+    </rdf:RDF>
+  </xsl:template>
+
+</xsl:stylesheet>

+ 14 - 0
fetch.sh

@@ -0,0 +1,14 @@
+#!/bin/sh
+
+cd "$(dirname "${0}")"
+
+rapper -v >/dev/null            || { echo "Install raptor-utils" 1>&2 && exit 1; }
+xsltproc --version > /dev/null  || { echo "Install xsltproc" 1>&2 && exit 1; }
+xmllint --version 2>/dev/null   || { echo "Install libxml2" 1>&2 && exit 1; }
+
+dst="europarl"
+
+curl --output "${dst}.xml" --time-cond "${dst}.xml" --remote-time "http://www.europarl.europa.eu/meps/de/xml.html?country=&mepId=&politicalGroup=&bodyType=ALL&bodyValue=&countryCircons="
+xmllint --output "${dst}.1.xml" --relaxng meps.rng --format --encode utf-8 "${dst}.xml"
+xsltproc europarl2foaf.xslt "${dst}.xml" | rapper -i rdfxml -o rdfxml-abbrev - http://www.europarl.europa.eu/ > "${dst}.rdf"
+rapper -i rdfxml -o turtle "${dst}.rdf" http://www.europarl.europa.eu/ > "${dst}.ttl"

+ 288 - 0
meps.rng

@@ -0,0 +1,288 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<grammar ns="" xmlns:a="http://relaxng.org/ns/compatibility/annotations/1.0" xmlns="http://relaxng.org/ns/structure/1.0" datatypeLibrary="http://www.w3.org/2001/XMLSchema-datatypes">
+  <start>
+    <a:documentation>Members of European Parliament
+
+http://www.europarl.europa.eu/meps/de/xml.html?country=&amp;mepId=&amp;politicalGroup=&amp;bodyType=ALL&amp;bodyValue=&amp;countryCircons=
+</a:documentation>
+    <element name="meps">
+      <oneOrMore>
+        <element name="mep">
+          <element name="fullName">
+            <data type="string">
+              <param name="pattern">.+</param>
+            </data>
+          </element>
+          <element name="country">
+            <choice>
+              <value>Belgien</value>
+              <value>Bulgarien</value>
+              <value>Deutschland</value>
+              <value>Dänemark</value>
+              <value>Estland</value>
+              <value>Finnland</value>
+              <value>Frankreich</value>
+              <value>Griechenland</value>
+              <value>Irland</value>
+              <value>Italien</value>
+              <value>Kroatien</value>
+              <value>Lettland</value>
+              <value>Litauen</value>
+              <value>Luxemburg</value>
+              <value>Malta</value>
+              <value>Niederlande</value>
+              <value>Polen</value>
+              <value>Portugal</value>
+              <value>Rumänien</value>
+              <value>Schweden</value>
+              <value>Slowakei</value>
+              <value>Slowenien</value>
+              <value>Spanien</value>
+              <value>Tschechien</value>
+              <value>Ungarn</value>
+              <value>Vereinigtes Königreich</value>
+              <value>Zypern</value>
+              <value>Österreich</value>
+            </choice>
+          </element>
+          <element name="politicalGroup">
+            <choice>
+              <value>Fraktion Europa der Freiheit und der direkten Demokratie</value>
+              <value>Fraktion Europa der Nationen und der Freiheit</value>
+              <value>Fraktion der Allianz der Liberalen und Demokraten für Europa</value>
+              <value>Fraktion der Europäischen Konservativen und Reformer</value>
+              <value>Fraktion der Europäischen Volkspartei (Christdemokraten)</value>
+              <value>Fraktion der Grünen / Freie Europäische Allianz</value>
+              <value>Fraktion der Progressiven Allianz der Sozialdemokraten im Europäischen Parlament</value>
+              <value>Fraktionslos</value>
+              <value>Konföderale Fraktion der Vereinigten Europäischen Linken/Nordische Grüne Linke</value>
+            </choice>
+          </element>
+          <element name="id">
+            <data type="integer">
+              <param name="minInclusive">840</param>
+              <param name="maxInclusive">999999</param>
+            </data>
+          </element>
+          <element name="nationalPoliticalGroup">
+            <choice>
+              <value>"Saskaņa" sociāldemokrātiskā partija</value>
+              <value>-</value>
+              <value>ANO 2011</value>
+              <value>Alternativa galega de esquerda en Europa</value>
+              <value>Alternative für Deutschland</value>
+              <value>Arbetarepartiet- Socialdemokraterna</value>
+              <value>Bezpartyjna</value>
+              <value>Bezpartyjny</value>
+              <value>Bloco de Esquerda</value>
+              <value>Bulgaria without Censorship</value>
+              <value>Bulgarian Socialist Party</value>
+              <value>Bündnis 90/Die Grünen</value>
+              <value>Centerpartiet</value>
+              <value>Centre Démocrate Humaniste</value>
+              <value>Christen Democratisch Appèl</value>
+              <value>Christen-Democratisch &amp; Vlaams</value>
+              <value>ChristenUnie</value>
+              <value>Christlich Demokratische Union Deutschlands</value>
+              <value>Christlich Soziale Partei</value>
+              <value>Christlich-Soziale Union in Bayern e.V.</value>
+              <value>Citizens for European Development of Bulgaria</value>
+              <value>Ciudadanos – Partido de la Ciudadanía</value>
+              <value>Coalition of the Radical Left</value>
+              <value>Communist Party of Greece</value>
+              <value>Conservative Party</value>
+              <value>Conservatori e Riformisti</value>
+              <value>Convergència Democràtica de Catalunya</value>
+              <value>DIE LINKE.</value>
+              <value>Dansk Folkeparti</value>
+              <value>Darbo partija</value>
+              <value>DeSUS - Demokratična Stranka Upokojencev Slovenije</value>
+              <value>Democraten 66</value>
+              <value>Democratic Party</value>
+              <value>Democratic Rally</value>
+              <value>Democratic Unionist Party</value>
+              <value>Democrats for Strong Bulgaria</value>
+              <value>Demokratikus Koalíció</value>
+              <value>Det Konservative Folkeparti</value>
+              <value>Det Radikale Venstre</value>
+              <value>Die Grünen - Die Grüne Alternative</value>
+              <value>Die PARTEI</value>
+              <value>Déi Gréng - Les Verts</value>
+              <value>EH BILDU</value>
+              <value>EQUO</value>
+              <value>Ecologistes Confédérés pour l'Organisation de Luttes Originales</value>
+              <value>Eesti Keskerakond</value>
+              <value>Eesti Reformierakond</value>
+              <value>Együtt 2014 - Párbeszéd Magyarországért</value>
+              <value>Erakond Isamaa ja Res Publica Liit</value>
+              <value>Esquerra Republicana de Catalunya</value>
+              <value>Europe Écologie</value>
+              <value>Familien-Partei Deutschlands</value>
+              <value>Feministiskt initiativ</value>
+              <value>Fianna Fáil Party</value>
+              <value>Fidesz-Magyar Polgári Szövetség-Keresztény Demokrata Néppárt</value>
+              <value>Fine Gael Party</value>
+              <value>Folkebevægelsen mod EU</value>
+              <value>Forza Italia</value>
+              <value>Freie Demokratische Partei</value>
+              <value>Freie Wähler</value>
+              <value>Freiheitliche Partei Österreichs</value>
+              <value>Front de Gauche</value>
+              <value>Front national/ Rassemblement Bleu Marine</value>
+              <value>Front national</value>
+              <value>Green Party</value>
+              <value>Groen</value>
+              <value>GroenLinks</value>
+              <value>Génération Citoyens</value>
+              <value>Hrvatska demokratska zajednica</value>
+              <value>Hrvatska konzervativna stranka</value>
+              <value>Hrvatska narodna stranka - liberalni demokrati</value>
+              <value>Hrvatska seljačka stranka</value>
+              <value>Independent</value>
+              <value>Independiente</value>
+              <value>Iniciativa per Catalunya Verds</value>
+              <value>Istarski demokratski sabor - Dieta democratica istriana</value>
+              <value>Izquierda Unida</value>
+              <value>Jobbik Magyarországért Mozgalom</value>
+              <value>KORWiN</value>
+              <value>Kansallinen Kokoomus</value>
+              <value>Kereszténydemokrata Néppárt</value>
+              <value>Komunistická strana Čech a Moravy</value>
+              <value>Kongres Nowej Prawicy</value>
+              <value>Kresťanskodemokratické hnutie</value>
+              <value>Kristdemokraterna</value>
+              <value>Křesťanská a demokratická unie - Československá strana lidová</value>
+              <value>L'union pour les Outremer</value>
+              <value>Labour Party</value>
+              <value>Latvijas Krievu savienība</value>
+              <value>Lega Nord</value>
+              <value>Lehet Más A Politika</value>
+              <value>Les Français Libres</value>
+              <value>Les Républicains</value>
+              <value>Liberal Democrats</value>
+              <value>Liberal-Konservative Reformer</value>
+              <value>Liberalerna</value>
+              <value>Lietuvos Respublikos liberalų sąjūdis</value>
+              <value>Lietuvos lenkų rinkimų akcija – Krikščioniškų šeimų sąjunga</value>
+              <value>Lietuvos socialdemokratų partija</value>
+              <value>Lietuvos valstiečių ir žaliųjų sąjunga</value>
+              <value>Lista Tsipras-L'Altra Europa</value>
+              <value>Lista dr. Igorja Šoltesa</value>
+              <value>MOST - HÍD</value>
+              <value>Magyar Szocialista Párt</value>
+              <value>Miljöpartiet de gröna</value>
+              <value>Moderaterna</value>
+              <value>Mouvement Démocrate</value>
+              <value>Mouvement Réformateur</value>
+              <value>Movement for Rights and Freedoms</value>
+              <value>Movement for Social Democracy EDEK</value>
+              <value>Movimento 5 Stelle</value>
+              <value>NEOS – Das Neue Österreich</value>
+              <value>NOVA</value>
+              <value>Nacionālā apvienība "Visu Latvijai!"-"Tēvzemei un Brīvībai/LNNK"</value>
+              <value>Nationaldemokratische Partei Deutschlands</value>
+              <value>Nea Demokratia</value>
+              <value>Nieuw-Vlaamse Alliantie</value>
+              <value>Niezależny</value>
+              <value>Nova Slovenija – Krščanski demokrati</value>
+              <value>Nuovo Centrodestra - Unione di Centro</value>
+              <value>OBYČAJNÍ ĽUDIA</value>
+              <value>Občanská demokratická strana</value>
+              <value>Open Vlaamse Liberalen en Democraten</value>
+              <value>PODEMOS</value>
+              <value>Panhellenic Socialist Movement - Olive Tree</value>
+              <value>Parti Radical - UDI</value>
+              <value>Parti Socialiste</value>
+              <value>Parti chrétien social luxembourgeois</value>
+              <value>Parti démocratique</value>
+              <value>Parti ouvrier socialiste luxembourgeois</value>
+              <value>Parti radical de gauche</value>
+              <value>Parti socialiste</value>
+              <value>Partido Comunista Português</value>
+              <value>Partido Democrático Republicano</value>
+              <value>Partido Nacionalista Vasco</value>
+              <value>Partido Popular</value>
+              <value>Partido Social Democrata</value>
+              <value>Partido Socialista Obrero Español</value>
+              <value>Partido Socialista</value>
+              <value>Partido da Terra</value>
+              <value>Partidul Mișcarea Populară</value>
+              <value>Partidul Naţional Liberal</value>
+              <value>Partidul Puterii Umaniste</value>
+              <value>Partidul Social Democrat</value>
+              <value>Partij van de Arbeid</value>
+              <value>Partij voor de Dieren</value>
+              <value>Partij voor de Vrijheid</value>
+              <value>Partija "VIENOTĪBA"</value>
+              <value>Partija Tvarka ir teisingumas</value>
+              <value>Partit Laburista</value>
+              <value>Partit Nazzjonalista</value>
+              <value>Partit dels Socialistes de Catalunya</value>
+              <value>Partito Democratico</value>
+              <value>Perussuomalaiset</value>
+              <value>Piratenpartei Deutschland</value>
+              <value>Plaid Cymru - Party of Wales</value>
+              <value>Platforma Obywatelska</value>
+              <value>Polskie Stronnictwo Ludowe</value>
+              <value>Popular Association – Golden Dawn</value>
+              <value>Popular Unity</value>
+              <value>Prawica Rzeczypospolitej</value>
+              <value>Prawo i Sprawiedliwość</value>
+              <value>Progressive Party of Working People - Left - New Forces</value>
+              <value>Rassemblement bleu Marine</value>
+              <value>SMER-Sociálna demokracia</value>
+              <value>Sans étiquette</value>
+              <value>Scottish National Party</value>
+              <value>Sinn Fein</value>
+              <value>Sinn Féin</value>
+              <value>Sloboda a Solidarita</value>
+              <value>Slovenska demokratska stranka</value>
+              <value>Slovenska ljudska stranka</value>
+              <value>Socialdemokratiet</value>
+              <value>Socialistische Partij.Anders</value>
+              <value>Socialistische Partij</value>
+              <value>Socialistisk Folkeparti</value>
+              <value>Socialni demokrati</value>
+              <value>Socijaldemokratska partija Hrvatske</value>
+              <value>Sojusz Lewicy Demokratycznej - Unia Pracy</value>
+              <value>Sojusz Lewicy Demokratycznej</value>
+              <value>Sotsiaaldemokraatlik Erakond</value>
+              <value>Sozialdemokratische Partei Deutschlands</value>
+              <value>Sozialdemokratische Partei Österreichs</value>
+              <value>Staatkundig Gereformeerde Partij</value>
+              <value>Starostové a nezávisli</value>
+              <value>Strana mad'arskej komunity- Magyar Közösség Pártja</value>
+              <value>Strana svobodných občanů</value>
+              <value>Suomen Keskusta</value>
+              <value>Suomen Sosialidemokraattinen Puolue/Finlands Socialdemokratiska Parti</value>
+              <value>Svenska folkpartiet</value>
+              <value>Sverigedemokraterna</value>
+              <value>Sõltumatu</value>
+              <value>Südtiroler Volkspartei (Partito popolare sudtirolese)</value>
+              <value>TOP 09 a Starostové</value>
+              <value>The River</value>
+              <value>Tėvynės sąjunga-Lietuvos krikščionys demokratai</value>
+              <value>Ulster Unionist Party</value>
+              <value>Unia Pracy</value>
+              <value>Union des Démocrates et Indépendants</value>
+              <value>United Kingdom Independence Party</value>
+              <value>Uniunea Democrată Maghiară din România</value>
+              <value>Unión, Progreso y Democracia</value>
+              <value>VMRO</value>
+              <value>Vasemmistoliitto</value>
+              <value>Venstre, Danmarks Liberale Parti</value>
+              <value>Vihreä liitto</value>
+              <value>Vlaams Belang</value>
+              <value>Volkspartij voor Vrijheid en Democratie</value>
+              <value>Vänsterpartiet</value>
+              <value>Zaļo un Zemnieku savienība</value>
+              <value>Ökologisch-Demokratische Partei</value>
+              <value>Österreichische Volkspartei</value>
+              <value>Česká strana sociálně demokratická</value>
+            </choice>
+          </element>
+        </element>
+      </oneOrMore>
+    </element>
+  </start>
+</grammar>